%define compat_version 3.0
%define compat_version2 2.0
%define subrel 2

Summary: The skeleton package defining packages needed for LSB compliance
Name: lsb
Version: 3.1
Release: %mkrel 2
License: GPL
Group: System/Base
URL: http://www.linuxbase.org
Source0: lsb-test-scripts-0.8.tar.bz2
Source1: lsb-init-functions
Source2: tmpdirlsb.sh
Source3: tjreport
Source4: waivers.txt
Source5: install_initd
Source6: remove_initd

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Exclusivearch: %{ix86} ppc x86_64

%define lsb_arch ia32
%ifarch x86_64
%define lsb_arch amd64
%endif
%ifarch ppc
%define lsb_arch ppc32
%endif

Requires: lsb-core
# former lsb-cxx
Requires: libstdc++6
# LSB2.0
Requires: libstdc++5
# former lsb-graphics
Requires: X11-libs
# former lsb-desktop
Requires: libxml2 libgtk+2 libpng
Requires: qt3-common

Provides: lsb-noarch = %{version} 
Provides: lsb-%{lsb_arch} = %{version} 

Provides: lsb-noarch = %{compat_version}
Provides: lsb-%{lsb_arch} = %{compat_version} 
Provides: lsb-noarch = %{compat_version2}
Provides: lsb-%{lsb_arch} = %{compat_version2} 
Provides: lsb-cxx-noarch = %{compat_version}
Provides: lsb-cxx-%{lsb_arch} = %{compat_version}
Provides: lsb-cxx-noarch = %{compat_version2}
Provides: lsb-cxx-%{lsb_arch} = %{compat_version2}
Provides: lsb-graphics-noarch = %{compat_version}
Provides: lsb-graphics-%{lsb_arch} = %{compat_version}
Provides: lsb-graphics-noarch = %{compat_version2}
Provides: lsb-graphics-%{lsb_arch} = %{compat_version2}

Conflicts: lsb-release < 2.0-1.1.20060mdk

Provides: lsb-cxx
Obsoletes: lsb-cxx
Provides: lsb-graphics
Obsoletes: lsb-graphics
Provides: lsb-desktop
Obsoletes: lsb-desktop

%description
The skeleton package defining packages needed for LSB compliance.
Note: To successfuly run the runtime test suites, install lsb-test.

%package core
Summary: Core requirements needed for LSB compliance
Group: System/Base

Requires: pax lsb-release make sendmail-command ed glibc_lsb
Requires: binutils bc nail at m4 patch cups-common 
Requires: vim-enhanced diffutils file gettext chkconfig
Requires: mtools /etc/sgml csh 
Requires(pre):		rpm-helper
Requires(postun):	rpm-helper

Provides: lsb-core-noarch = %{version} 
Provides: lsb-core-%{lsb_arch} = %{version} 
Provides: lsb-core-noarch = %{compat_version}
Provides: lsb-core-%{lsb_arch} = %{compat_version} 
Provides: lsb-core-noarch = %{compat_version2}
Provides: lsb-core-%{lsb_arch} = %{compat_version2} 

%description core
The core requirements for LSB compliance.

%package qt4
Summary: Requirements needed for optional LSB-qt4 compliance
Group: System/X11

Requires: lsb
Requires: qt4-common >= 4.1.1
Requires: libqtdesigner1 >= 4.1.1 
Requires: libqtopengl4 >= 4.1.1
Requires: libqtsvg4 >= 4.1.1
%if 0
# shouldn't need these - above requires them
Requires: libqtsql4 
Requires: libqtcore4 libqtxml4 libqtgui4 
Requires: libqtnetwork4 libqt3support4 
# end shouldn't need
%endif
Provides: lsb-qt4-noarch = %{version}
Provides: lsb-qt4-%{lsb_arch} = %{version}
Provides: lsb-desktop-qt4
Obsoletes: lsb-desktop-qt4

%description qt4
This package adds the requirements for LSB-desktop-qt4 compliance.
This package is required for the optional lsb-test-desktop-qt4.

%package test
Summary: Requirements needed to successfully run the LSB runtime tests
Group: System/Base

Requires: lsb
Requires: perl-DBI glibc-i18ndata python gcc
Requires: locales-de locales-en locales-es locales-fr locales-it
Requires: xorg-x11-Xvfb xorg-x11-100dpi-fonts xorg-x11-75dpi-fonts

%description test
This packages pulls in additional packages not specified by LSB, but
required to successfully run the LSB runtime tests.

%prep
%setup -q

%install
cat << EOF > README.urpmi
To run the LSB binary test suite, download the latest version from
ftp://ftp.freestandards.org/pub/lsb/test_suites/released/binary/runtime/
and install the rpms.
 
For lsb-runtime-test, log in as user vsx0 and use the command 'run_tests'.
The other tests give instructions in the %%post output at package install.

Note1: When prompted for the 'Block special filename' in the test
       interview, use /home/tet/test_sets/nonexistb, rather than
       /dev/sda. 
Note2: Additionally, if you have partitions containing /tmp or /home
       that are mounted with 'noatime', this option should be changed
       to 'atime' or you will see additional test failures.
Note3: You should also note that using the fstab option 'acl' for
       Posix ACLs will generate 1 test failure.  This is not enabled
       by default.
Note4: Current /etc/nsswitch.conf layout will also generate 1 failure.
       Changing the layout to (passwd and group are the key entries):
		passwd:     compat
		shadow:     files nisplus
		group:      compat
       Will allow the test to pass.
EOF

rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -d $RPM_BUILD_ROOT/%{_datadir}/nls
install -d $RPM_BUILD_ROOT/%{_datadir}/tmac
install -d $RPM_BUILD_ROOT/var/cache/fonts
install -d $RPM_BUILD_ROOT/var/games
install -d $RPM_BUILD_ROOT/sbin
install -d $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/lib/%{name}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/lib/%{name}/init-functions
install -d $RPM_BUILD_ROOT/srv
install -d $RPM_BUILD_ROOT/media
install -d $RPM_BUILD_ROOT%{_sysconfdir}/opt
install -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %SOURCE3 $RPM_BUILD_ROOT%{_bindir}
install -m 755 lsb-runtime-test $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-vsw4 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-xts5 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-lsbcmdchk $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 lsb-test-lsblibchk $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 qmtest_libstdcpp $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 common-functions $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 755 %SOURCE5 $RPM_BUILD_ROOT%{_prefix}/lib/%{name}
install -m 755 %SOURCE6 $RPM_BUILD_ROOT%{_prefix}/lib/%{name}

# lsb-%{version}-foo is in lsb-release
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/lsb-%{compat_version2}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/lsb-%{compat_version2}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{compat_version2}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/core-%{compat_version2}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/cxx-%{compat_version2}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/cxx-%{compat_version2}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/graphics-%{compat_version2}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/graphics-%{compat_version2}-noarch
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/qt4-%{version}-%{lsb_arch}
touch $RPM_BUILD_ROOT%{_sysconfdir}/lsb-release.d/qt4-%{version}-noarch

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/lsbinstall
#!/bin/sh
exit 0
EOF

cat << EOF > $RPM_BUILD_ROOT/sbin/fasthalt
#!/bin/sh
#start fasthalt
/sbin/halt -f
#end fasthalt
EOF

cat << EOF > $RPM_BUILD_ROOT/sbin/fastboot
#!/bin/sh
#start fastboot
/sbin/reboot -f
#end fastboot
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/hosts.equiv
# Sample hosts.equiv file for LSB compliance
# see man hosts.equiv for usage.
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/hosts.lpd
#
# hosts.lpd     This file describes the names of the hosts which are
#               allowed to use the remote printer services of this
#               host.  This file is used by the LPD subsystem.
#		Added for LSB compiance.
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/networks
# Sample networks file for LSB compliance. Database of network 
# names and addresses, used by programs such as route.
# format: networkname networkaddress
EOF

cat << EOF > $RPM_BUILD_ROOT/etc/gateways
# sample gateways file for LSB compliance. Database of gateways
# used by routed. Sample format shown below.
# [ net | host ] name1 gateway name2 metric value [ passive | active | external ]
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/lsbinstall
chmod 0755 $RPM_BUILD_ROOT/sbin/fastboot
chmod 0755 $RPM_BUILD_ROOT/sbin/fasthalt
chmod 0644 $RPM_BUILD_ROOT/etc/hosts.equiv
chmod 0644 $RPM_BUILD_ROOT/etc/hosts.lpd
chmod 0644 $RPM_BUILD_ROOT/etc/networks
chmod 0644 $RPM_BUILD_ROOT/etc/gateways

# (sb) concession for lsb-apache to run
%pre core
%_pre_groupadd nobody

%postun core
%_postun_groupdel nobody

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{compat_version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{compat_version2}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/lsb-%{compat_version2}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/cxx-%{compat_version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/cxx-%{compat_version2}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/cxx-%{compat_version2}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/graphics-%{compat_version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/graphics-%{compat_version2}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/graphics-%{compat_version2}-%{lsb_arch}

%files core
%defattr(-, root, root)
%{_datadir}/nls
%{_datadir}/tmac
/var/cache/fonts
/var/games
/sbin/fasthalt
/sbin/fastboot
%{_bindir}/lsbinstall
%dir %{_sysconfdir}/opt
%dir /srv
%dir /media
%dir /lib/%{name}
/lib/%{name}/init-functions
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/install_initd
%{_prefix}/lib/%{name}/remove_initd
%config(noreplace) %{_sysconfdir}/hosts.equiv
%config(noreplace) %{_sysconfdir}/hosts.lpd
%config(noreplace) %{_sysconfdir}/networks
%config(noreplace) %{_sysconfdir}/gateways
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{compat_version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{compat_version}-%{lsb_arch}
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{compat_version2}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/core-%{compat_version2}-%{lsb_arch}

%files test
%defattr(-, root, root)
%doc README.test-scripts README.urpmi
%config(noreplace) %{_sysconfdir}/profile.d/tmpdirlsb.sh
%{_bindir}/tjreport
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/common-functions
%{_datadir}/%{name}/lsb-runtime-test
%{_datadir}/%{name}/lsb-test-lsbcmdchk
%{_datadir}/%{name}/lsb-test-lsblibchk
%{_datadir}/%{name}/qmtest_libstdcpp
%{_datadir}/%{name}/lsb-test-vsw4
%{_datadir}/%{name}/lsb-test-xts5
%{_datadir}/%{name}/waivers.txt

%files qt4
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/lsb-release.d/qt4-%{version}-noarch
%config(noreplace) %{_sysconfdir}/lsb-release.d/qt4-%{version}-%{lsb_arch}

%changelog
* Tue May 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-1.2.20060mdk
- add at, cups-common, m4, patch to lsb-core requires (cmdchk)
- add gcc to lsb-test requires (qmtest_libstdcpp)

* Mon Apr  3 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-1.1.20060mdk
- roll all the cooker changes for LSB3.1 into Corp4
- add LSB2.0 compatibility

* Fri Mar 31 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-4mdk
- do away with cxx, graphics, desktop packages
- desktop-qt4->qt4
- 3.1 now wants to report just lsb-ver-foo and core-ver-foo
- 3.0 (compat) reports lsb-ver-foo, core-ver-foo, cxx-ver-foo, graphics-ver-foo

* Thu Mar 30 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-3mdk
- core needs to identify as 3.1 also

* Wed Mar 29 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-2mdk
- re-organize again:
  - restore plain lsb, add lsb-cxx
  - lsb requires desktop and below
  - add missing compat_version files for lsb-graphics

* Tue Mar 21 2006 Stew Benedict <sbenedict@mandriva.com> 3.1-1mdk
- 3.1
- add desktop-qt4
- s/2.0/3.0/ compat (we could bring it back with Requires: libstdc++.so.5)
- update libchk and cmdchk autotest scripts to run both core and desktop

* Tue Mar 14 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-12mdk
- use stronger vsx0 passwd in test scripts - was triggering pam failures

* Fri Mar 03 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-11mdk
- add -test and breakout the test specific requires to this subpackage
- move all the "gotcha" notes to README.urpmi in -test

* Thu Mar 02 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-10mdk
- LSB-desktop Requires

* Tue Feb 21 2006 Stew Benedict <sbenedict@mandriva.com> 3.0-9mdk
- split into -core, -graphics, -desktop
- have the test scripts install the appropriate sub-packages
- move some things from lsb-release over to these packages

* Mon Dec 19 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-8mdk
- add lsb-test-xts5 test script
- let common-functions deal with pre-defined $TVERSION

* Fri Nov 11 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-7mdk
- fix/update waivers file

* Wed Aug  3 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-6mdk
- rework automated testing for released LSB-3.0 tests
  - lsb-test-pam no longer used - drop
  - rework lsb-runtime-test
  - rework lsb-test-vsw4
  - add lsb-cmdchk
  - update waivers file
  - rework common-functions
  - rework qmtest_libstdcpp
- some changes to make rpmlint happier

* Fri Jul  1 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-5mdk
- requires s/smtpdaemon/sendmail-command/

* Thu Jun  2 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-4mdk
- requires bc, nail(POSIX compatible mailx, per lsb-cmdchk)
- provide placeholder lsbinstall (still being debated in lsb group)
- requires libstd++.so.6 for LSB3

* Tue May 17 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-3mdk
- re-fix provides on x86_64

* Fri Apr 29 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-2mdk
- try to make LSB2/3 compatible

* Fri Apr 22 2005 Stew Benedict <sbenedict@mandriva.com> 3.0-1mdk
- LSB3.0
- fix install_initd, remove_initd, provides (Mats Wichmann)

* Wed Feb 16 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-15mdk
- adapt test scripts to filter out TSDs from added waiver file
- move common code from test scripts to common-functions (new source0)
- minor patch to tjreport "excluding waived" output (LSB Bugzilla 698)

* Fri Feb  4 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-14mdk
- add test scripts and a README for usage

* Thu Jan  6 2005 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-13mdk
- requires binutils for libstdcpp tests

* Tue Dec 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-12mdk
- add tjreport to facilitate automated testing

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0-11mdk
- rebuild on x86_64

* Sat Oct  9 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-10mdk
- drop libc-extras requires

* Mon Sep 27 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-9mdk
- drop lpddaemon, expect requires

* Mon Sep 20 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-8mdk
- drop nscd requires

* Sat Sep  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-7mdk
- remove libxorg-x11-devel requires

* Tue Aug 24 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-6mdk
- add requires for vsw4 tests

* Mon Aug 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-5mdk
- locales requires for C++ tests, requires nscd, warning about modprobe loop
i
* Mon Jul 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-4mdk
- caveats change with switch from devfs -> udev, drop TMPDIR warning

* Mon Jul 26 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-3mdk
- change provides yet again

* Fri Jul 16 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-2mdk
- change provides to agree with what app-batt expects

* Mon Jun 21 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-1mdk
- LSB2.0 - new requires, provides
- drop groupdel caveat - fixed in test-suite

* Tue Mar 9 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-10mdk
- fix issue with init-functions (Bugzilla #9718)

* Tue Mar 9 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-9mdk
- add %{_sysconfdir}/opt, change some dirs to macros
- insure TMPDIR is unset for vsx0

* Mon Feb  2 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-8mdk
- more test suite warnings, new FHS-2.3 directories

* Mon Jul 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-7mdk
- remove rwho requires

* Fri May 23 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-6mdk
- requires gettext, add /lib/%{name}/init-functions
- install_initd, remove_initd, use groupadd/del macros

* Tue Feb 18 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-5mdk
- keep glibc_lsb, symlinking done there

* Wed Feb 12 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-4mdk
- conflicts glibc_lsb, use symlinks to system ld-linux.so.2
- arch specific again now

* Fri Jan 17 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-3mdk
- remove getty_ps requirement - removed from distribution

* Thu Jan 10 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-2mdk
- requires file

* Mon Dec 9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.3-1mdk
- Move to LSB v1.3, Provides lsb-1.3, Requires csh

* Sat Nov 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-11mdk
- Requires s/diff/diffutils/

* Sat Nov 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-10mdk
- update Requires in preparation for upcoming LI18NUX/LSB v1.3

* Tue Sep 10 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-9mdk
- warning on Posix ACLs

* Sat Aug 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-8mdk
- requires mtools

* Wed Aug  7 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-7mdk
- remove conflicts and /etc/ftpusers

* Tue Aug  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-6mdk
- Conflicts: wu-ftpd

* Fri Jul 26 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-5mdk
- make pkg noarch, provide our own /etc/ftpusers

* Wed Jul 24 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-4mdk
- add glibc-i18ndata requires

* Tue Jul 23 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-3mdk
- add perl-DBI requires for tjreport results

* Wed Jul 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.2-2mdk
- lsb version 1.2

* Wed Jul 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-8mdk
- bump version to supercede 8.2 update

* Tue Jun 11 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-7mdk
- add creation/removal of group nobody for lsb-apache tests

* Wed May 29 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-6mdk
- add /etc/gateways, fix typo

* Tue May 28 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-5mdk
- add /sbin/fasthalt, /sbin/fastboot scripts
- add dummy /etc/hosts.equiv, /etc/hosts.lpd, /etc/networks files
- add additional note about "noatime" in /etc/fstab
- change requires from sgml-common, rwho, wu-ftpd to specific files

* Tue May 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-4mdk
- create some directories LSB tests look for that aren't owned by any
- current Mandrake package, add sgml-common, rwho, wu-ftpd to Requires
- inform installer how to retrieve/run LSB tests about devfs=nomount

* Tue Feb 12 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-3mdk
- change summary too - thx Pixel

* Mon Feb 11 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-2mdk
- change description

* Sat Feb  9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1-1mdk
- first release
